Bug 19258 - XtNewString abuse
Summary: XtNewString abuse
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-17 15:05 UTC by Tim Waugh
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-25 12:47:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here's an untested patch. (426 bytes, patch)
2000-10-17 15:05 UTC, Tim Waugh
no flags Details | Diff

Description Tim Waugh 2000-10-17 15:05:23 UTC
XtNewString is a macro and shouldn't be given an argument that can change
it's value on successive evaluations.  xmh has such an abuse in.

Comment 1 Tim Waugh 2000-10-17 15:05:48 UTC
Created attachment 4270 [details]
Here's an untested patch.

Comment 2 Mike A. Harris 2002-05-14 00:54:16 UTC
This is fixed in Red Hat Linux 7.3 in XFree86 4.2.0, just confirmed.


Note You need to log in before you can comment on or make changes to this bug.